【皇家88平台登录】连接报错,求大佬们指引

  File
“e:\python\envs\py2scripy\lib\site-packages\pip\req\req_install.py”,
line 878, in install

有没有大佬告诉一下是何地出了难点???

Traceback (most recent call last):
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\basecommand.py”,
line 215
, in main
status = self.run(options, args)
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\commands\install.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\utils\build.py”,
line 38,
in exit
self.cleanup()
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\utils\build.py”,
line 42,
in cleanup
rmtree(self.name)
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\six.py”,
line 686
, in reraise
raise value
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\utils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:\ProgramData\Anaconda3\lib\shutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:\ProgramData\Anaconda3\lib\shutil.py”, line 378, in
_rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:\ProgramData\Anaconda3\lib\shutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\utils\
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另一个前后相继正在使用此文件,进度不能访问。: ‘C:\Us
ers\Aaron\AppData\Local\Temp\pip-build-v6n4yggt\pymongo’

Exception:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\commands\install.py”,
lin
e 342, in run
prefix=options.prefix_path,
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\req\req_set.py”,
line 784
, in install
**kwargs
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\req\req_install.py”,
line
878, in install
spinner=spinner,
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\utils__init__.py”,
line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\compat__init__.py”,
line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

  Running setup.py bdist_wheel for Twisted … error

Traceback (most recent call last):
File “c:\program
files\python37\lib\site-packages\pip\basecommand.py”, line 215, in
main
status = self.run(options, args)
File “c:\program
files\python37\lib\site-packages\pip\commands\install.py”, line
324, in run
requirement_set.prepare_files
File “c:\program
files\python37\lib\site-packages\pip\req\req_set.py”, line 380,
in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “c:\program
files\python37\lib\site-packages\pip\req\req_set.py”, line 634,
in prepare_file
abstract_dist.prep_for_dist()
File “c:\program
files\python37\lib\site-packages\pip\req\req_set.py”, line 129,
in prep_for_dist
self.req_to_install.run_egg_info()
File “c:\program
files\python37\lib\site-packages\pip\req\req_install.py”, line
439, in run_egg_info
command_desc=’python setup.py egg_info’)
File “c:\program
files\python37\lib\site-packages\pip\utils\
_init__.py”, line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File “c:\program
files\python37\lib\site-packages\pip\compat__init__.py”, line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

During handling of the above exception, another exception occurred:

    status = self.run(options, args)

用pip下载gensim现身exception 求大佬们指引!!! 5C
Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File “c:\program
files\python37\lib\site-packages\pip\compat__init__.py”, line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

pip install pymongo 总是报错
报错代码如下:
C:\Windows\system32>pip install pymongo
Collecting pymongo
Using cached pymongo-3.4.0.tar.gz
Building wheels for collected packages: pymongo
Running setup.py bdist_wheel for pymongo … error
Failed building wheel for pymongo
Running setup.py clean for pymongo
Failed cleaning build dir for pymongo
Failed to build pymongo
Installing collected packages: pymongo
Running setup.py install for pymongo … error
Exception:
Traceback (most recent call last):
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\compat__init__.py”,
line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xa1 in position 42:
invalid
start byte

  Running setup.py clean for Twisted

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\commands\install.py”,
lin
e 385, in run
requirement_set.cleanup_files()
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\req\req_set.py”,
line 729
, in cleanup_files
req.remove_temporary_source()
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\req\req_install.py”,
line
977, in remove_temporary_source
rmtree(self.source_dir)
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 212, in call
raise attempt.get()
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\six.py”,
line 686
, in reraise
raise value
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip_vendor\retrying.py”,
lin
e 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\utils__init__.py”,
line
102, in rmtree
onerror=rmtree_errorhandler)
File “C:\ProgramData\Anaconda3\lib\shutil.py”, line 488, in rmtree
return rmtree_unsafe(path, onerror)
File “C:\ProgramData\Anaconda3\lib\shutil.py”, line 387, in
_rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info
File
“C:\ProgramData\Anaconda3\lib\site-packages\pip\utils\
_init__.py”,
line
114, in rmtree_errorhandler
func
PermissionError: [WinError 32]
另三个主次正在采用此文件,进程无法访问。: ‘C:\Us
ers\Aaron\AppData\Local\Temp\pip-build-v6n4yggt\pymongo’

    prefix=options.prefix_path,

During handling of the above exception, another exception occurred:

    return s.decode(‘utf_8’)

    line = console_to_str(proc.stdout.readline())

Traceback (most recent call last):

    **kwargs

 

发表评论

电子邮件地址不会被公开。 必填项已用*标注

网站地图xml地图